%define upstream_name    URL-Encode
%define upstream_version 0.03

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 11

Summary:    Encoding and decoding of C<application/x-www-form-urlencoded> encoding
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/URL/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.590.0
BuildRequires: perl(inc::Module::Install)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(XSLoader)
BuildArch:  noarch

%description
This module provides functions to encode and decode strings into and from
the 'application/x-www-form-urlencoded' encoding.

The 'application/x-www-form-urlencoded' format encodes a ordered data sets
of pairs consisting of a name and a value, with pairs separated by
ampersand and names and values separated by the equal sign. Space
characters are replaced with plus sign and any characters not in the
unreserved character set is encoded using the percent-encoding scheme also
used for resource identifiers. A percent-encoded octet is encoded as a
character triplet, consisting of the percent character "%" followed by the
two hexadecimal digits representing that octet's numeric value.

The unreserved character set includes the uppercase and lowercase letters,
decimal digits, hyphen, period, underscore, and tilde.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Fri Jun 27 2025 umeabot <umeabot> 0.30.0-11.mga10
+ Revision: 2204799
- Mageia 10 Mass Rebuild

* Mon Mar 21 2022 umeabot <umeabot> 0.30.0-10.mga9
+ Revision: 1810562
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.30.0-9.mga8
+ Revision: 1506899
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Thu Sep 20 2018 umeabot <umeabot> 0.30.0-8.mga7
+ Revision: 1287147
- Mageia 7 Mass Rebuild

* Tue Oct 03 2017 tv <tv> 0.30.0-7.mga7
+ Revision: 1167240
- rebuild with fixed rpm for missing autodeps

* Sat Sep 23 2017 tv <tv> 0.30.0-6.mga7
+ Revision: 1158337
- BR perl(inc::Module::Install)

* Sun Jun 19 2016 pterjan <pterjan> 0.30.0-5.mga6
+ Revision: 1035665
- Rebuild for perl 5.22.2

* Tue Feb 02 2016 umeabot <umeabot> 0.30.0-4.mga6
+ Revision: 932427
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.30.0-3.mga5
+ Revision: 740189
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.30.0-2.mga5
+ Revision: 686774
- Mageia 5 Mass Rebuild

* Sun Mar 30 2014 shlomif <shlomif> 0.30.0-1.mga5
+ Revision: 610427
- update to 0.03
- imported package perl-URL-Encode


* Wed Jan 08 2014 cpan2dist 0.02-1mga
- initial mageia release, generated with cpan2dist
